Summary: A Gnome based H323 teleconferencing application
Name: gnomemeeting
Version: 0.96.0
Release: 4.XOS.1
URL: http://www.gnomemeeting.org/
Source0: gnomemeeting-%{version}.tar.gz
Patch1: gnomemeeting-0.96-clearcallfix.patch
License: GPL
Group: Applications/Communications
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: openh323 >= 1.11.2
Requires: pwlib >= 1.3.11
Requires: GConf2 >= 1.2.0
BuildRequires: gtk2-devel >= 2.0.0
BuildRequires: GConf2-devel >= 1.2.0
BuildRequires: openh323-devel >= 1.11.2
BuildRequires: openldap-devel
BuildRequires: pwlib-devel
BuildRequires: SDL-devel
BuildRequires: automake
BuildRequires: autoconf
BuildRequires: intltool >= 0.22
BuildRequires: pkgconfig

%description
GnomeMeeting is a tool to communicate with video and audio over the internet.
It uses the H323 protocol and is compatible with Microsoft Netmeeting.

%prep
%setup -q -n gnomemeeting-%{version}
%patch1 -p1 -b .clearcallfix

%build
if pkg-config openssl ; then
	CPPFLAGS=`pkg-config --cflags openssl`; export CPPFLAGS
	LDFLAGS=`pkg-config --libs openssl`; export LDFLAGS
fi
%configure --with-ptlib-includes=/usr/include/ptlib --with-openh323-includes=/usr/include/openh323 --with-ptlib-libs=%{_libdir} --with-openh323-libs=%{_libdir} --with-openssl-libs=%{_libdir} --with-openldap-libs=%{_libdir}
make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang gnomemeeting

rm $RPM_BUILD_ROOT%{_datadir}/applications/gnomemeeting.desktop
ln -s %{_datadir}/desktop-menu-patches/redhat-gnomemeeting.desktop $RPM_BUILD_ROOT%{_datadir}/applications/redhat-gnomemeeting.desktop 

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnomemeeting.schemas > /dev/null 2>&1
gconftool-2 --shutdown

%files -f gnomemeeting.lang
%defattr(-,root,root)
%{_bindir}/gnomemeeting
%{_bindir}/gnomemeeting-config-tool
%{_libdir}/bonobo/servers/gnomemeeting.server
%{_datadir}/applications/redhat-gnomemeeting.desktop
%{_datadir}/pixmaps/*
%{_datadir}/man/*/*
%{_datadir}/sounds/gnomemeeting
%{_datadir}/gnomemeeting
%{_sysconfdir}/sound/events/gnomemeeting.soundlist
%{_sysconfdir}/gconf/schemas/gnomemeeting.schemas

%changelog
* Fri Aug 20 2004 X/OS Linux Team <xoslinux@xos.nl> 0.96.0-4.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on gnomemeeting-0.96.0-4.src.rpm
  (md5sum of original source rpm: 03b729de17813022cbcea64cc1a458b0).

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Mon Feb 24 2003 Alexander Larsson <alexl@redhat.com> 0.96.0-3
- Fixed bad bug with pc-to-phone calls (#84941)

* Mon Jan 27 2003 Alexander Larsson <alexl@redhat.com> 0.96.0-2
- new tarball from upstream

* Thu Jan 23 2003 Alexander Larsson <alexl@redhat.com> 0.96.0-1
- update to 0.96.0 (final)

* Wed Jan 22 2003 Tim Powers <timp@redhat.com> 0.95.0-2
- rebuilt

* Wed Jan  8 2003 Alexander Larsson <alexl@redhat.com> 0.95.0-1
- Update to 0.95.0

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 0.94.1-4
- Rebuild

* Thu Dec 12 2002 Nalin Dahyabhai <nalin@redhat.com>
- Use OpenSSL's pkg-config data, if available

* Thu Oct 24 2002 Alexander Larsson <alexl@redhat.com> 0.94.1-3
- Buildrequire openh323-devel 1.9.10-4

* Thu Oct 24 2002 Alexander Larsson <alexl@redhat.com> 0.94.1-2
- Add patch to force speex enabled

* Wed Oct 23 2002 Alexander Larsson <alexl@redhat.com> 0.94.1-1
- Update to 0.94.1

* Wed Oct  9 2002 Alexander Larsson <alexl@redhat.com> 0.93.1-5
- Add 64bit patch
- Added ldap patch
- libdir fixes

* Tue Aug 27 2002 Nalin Dahyabhai <nalin@redhat.com> 0.93.1-4
- rebuild

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Thu Aug  8 2002 Alexander Larsson <alexl@redhat.com>
- Fix menu desktopfile link, fixes #70652

* Tue Jul 23 2002 Alexander Larsson <alexl@redhat.com> 0.93.0-4
- Move desktop file to redhat-menus. Add symlink instead.

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 0.93.0-3
- build using gcc-3.2-0.1

* Wed Jul 17 2002 Alexander Larsson <alexl@redhat.com> 0.93.0-2
- Add gnomemeeting.server to %files

* Thu Jul 11 2002 Alexander Larsson <alexl@redhat.com> 0.93.0-1
- Update to 0.93.0

* Thu Jul  4 2002 Alexander Larsson <alexl@redhat.com>
- Add configure patch for 64bit systems

* Mon Mar 11 2002 Alex Larsson <alexl@redhat.com> 0.85.1-3
- Update to new tarball from damien

* Fri Mar  8 2002 Alex Larsson <alexl@redhat.com> 0.85.1-1
- Update to 0.85.1 from upstream

* Wed Feb 27 2002 Alex Larsson <alexl@redhat.com> 0.84.0-3
- Require GConf 1.0.8-4

* Wed Feb 27 2002 Alex Larsson <alexl@redhat.com> 0.84.0-2
- Require GConf 1.0.8-2, shutdown gconf in %post

* Mon Feb 25 2002 Alex Larsson <alexl@redhat.com> 0.84.0-1
- Update to 0.84

* Tue Dec  4 2001 Alex Larsson <alexl@redhat.com>
- Updated to 0.12.2

* Sat Dec  1 2001 Alex Larsson <alexl@redhat.com>
- Update to 0.12

* Wed Sep 27 2001 Alex Larsson <alexl@redhat.com> 0.11-2
- Fix translations. Had wrong name in find_lang

* Wed Sep 19 2001 Alex Larsson <alexl@redhat.com> 0.11-1
- Update to 0.11

* Wed Aug 15 2001 Alexander Larsson <alexl@redhat.com> 0.10-2
- Added include order patch

* Wed Aug 15 2001 Alexander Larsson <alexl@redhat.com> 0.10-1
- Updated to 0.10

* Thu Jul  5 2001 Alex Larsson <alexl@redhat.com>
- Initial build.


